Mail::Box::MH::Labels(3pm)

NAME
Mail::Box::MH::Labels - maintain MH message related labels

INHERITANCE
 Mail::Box::MH::Labels
   is a Mail::Reporter

SYNOPSIS
  my $labels = Mail::Box::MH::Labels->new;
  $labels->read(...)
  $labels->write(...)

DESCRIPTION
MH type message folders use one dedicated file per folder-directory to list special tags to messages in that folder. By doing this, mail agents may avoid parsing all the messages, which is very resource consuming.

Labels can be used to group messages, for instance to reflect which messages have been read or which look like spam. Some labels are predefined, but more can be added without limitation.

Extends "DESCRIPTION" in Mail::Reporter.

METHODS
Extends "METHODS" in Mail::Reporter.

  Constructors
Extends "Constructors" in Mail::Reporter.

$class->new(%options)
    Inherited, see "Constructors" in Mail::Reporter

     -Option  --Default
      filename  <required>

    filename => $file
        The $file which is used in each directory to store the headers of all mails. The filename must be an absolute path.

  Attributes
Extends "Attributes" in Mail::Reporter.

$obj->filename()
    Returns the name of the index file.

  Error handling
Extends "Error handling" in Mail::Reporter.

$obj->AUTOLOAD()
    Inherited, see "Error handling" in Mail::Reporter

$obj->notImplemented()
    Inherited, see "Error handling" in Mail::Reporter

  Cleanup
Extends "Cleanup" in Mail::Reporter.

$obj->DESTROY()
    Inherited, see "Cleanup" in Mail::Reporter

  The Label Table

$obj->append($messages)
    Append the label information about the specified $messages to the end of the label file. The information will not be merged with the information already present in the label file.

$obj->get($msgnr)
    Look if there is label info for message $msgnr.

$obj->print($fh, $messages)
    Print the labels of the specified messages to the opened file.

$obj->read()
    Read all label information from the file. When the file does not exist, this will return "undef".

$obj->write(@messages)
    Write the labels related to the specified @messages to the label file.

DIAGNOSTICS

Error: MH labels require a filename.
    Cast by new()

Fault: cannot append to MH labels file $file: $!
    Cast by append()

Fault: cannot write MH labels file to $file: $!
    Cast by write()

Error: class $package does not implement method $method.
    Fatal error: the specific $package (or one of its superclasses) does not implement this method where it should. This message means that some other related classes do implement this method however the class at hand does not. Probably you should investigate this and probably inform the author of the package. Cast by notImplemented()

Fault: error while closing MH labels file $file after append: $!
    Cast by append()

Fault: error while closing MH labels file $file after write: $!
    Cast by write()

SEE ALSO
This module is part of Mail-Box version 4.01, built on December 13, 2025. Website: http://perl.overmeer.net/CPAN/

LICENSE
For contributors see file ChangeLog.

This software is copyright (c) 2001-2025 by Mark Overmeer.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.